<!doctype html public "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<head>
<title>Yahoo! UI Library - Drag and Drop</title>
<link rel="stylesheet" type="text/css" href="./css/screen.css">
</head>
  
<body>


<script type="text/javascript" src="../../build/yahoo/yahoo.js" ></script>
<script type="text/javascript" src="../../build/event/event.js" ></script>
<script type="text/javascript" src="../../build/dom/dom.js"></script>
<script type="text/javascript" src="../../build/logger/logger.js"></script>

<script type="text/javascript" src="../../build/dragdrop/dragdrop-debug.js" ></script>

        <script type="text/javascript" src="js/DDResize.js" ></script>

<script type="text/javascript">
YAHOO.example.DDApp = function() {
    var dd, dd2, dd3;
    return {
        init: function() {
            dd = new YAHOO.example.DDResize("panelDiv", "handleDiv", "panelresize");
            dd2 = new YAHOO.util.DD("panelDiv", "paneldrag");
            dd2.addInvalidHandleId("handleDiv");
            
        }
    };
} ();

function testclick(e) {
    alert("click");
}
    
// var resizer_dd1 = new YAHOO.util.DD("theimage");                                                                                                      
// resizer_dd1.setYConstraint(0,0); 

// YAHOO.util.Event.addListener("theimage", "mousedown", testclick);

YAHOO.util.Event.addListener(window, "load", YAHOO.example.DDApp.init);
    
</script>

<div id="pageTitle"><h3>Drag and Drop - DD</h3></div>

  
<style type="text/css">

/* logger default styles */
/* font size is controlled here: default 77% */
#yui-log {position:absolute;top:1em;right:1em;font-size:77%;text-align:left;}
/* width is controlled here: default 31em */
.yui-log {background-color:#AAA;border:1px solid black;font-family:monospace;z-index:9000;}
.yui-log p {margin:1px;padding:.1em;}
.yui-log button {font-family:monospace;}
.yui-log .yui-log-hd {padding:.5em;background-color:#575757;color:#FFF;}
/* height is controlled here: default 20em*/
.yui-log .yui-log-bd {width:100%;height:20em;background-color:#FFF;border:1px solid gray;overflow:auto;}
.yui-log .yui-log-ft {margin-top:.5em;margin-bottom:1em;}
.yui-log .yui-log-ft .yui-log-categoryfilters {}
.yui-log .yui-log-ft .yui-log-sourcefilters {width:100%;border-top:1px solid #575757;margin-top:.75em;padding-top:.75em;}
.yui-log .yui-log-btns {position:relative;float:right;bottom:.25em;}
.yui-log .yui-log-filtergrp {margin-right:.5em;}
.yui-log .info {background-color:#A7CC25;} /* A7CC25 green */
.yui-log .warn {background-color:#F58516;} /* F58516 orange */
.yui-log .error {background-color:#E32F0B;} /* E32F0B red */
.yui-log .time {background-color:#A6C9D7;} /* A6C9D7 blue */
.yui-log .window {background-color:#F2E886;} /* F2E886 tan */


</style>


<img id="ylogo" src="img/logo.gif" />

<div id="container">
<div id="containerTop">
<div id="header">
<h4>&nbsp;</h4>
</div>
<div id="main">

<div id="rightbar">

<div id="rightBarPad">
<h3>Examples</h3>

<div id="linkage">
<ul>
<li><a href="drag.html?mode=dist">Drag test</a></li>
<li><a href="ontop.html?mode=dist">Always on top</a></li>
<li><a href="proxy.html?mode=dist">Proxy drag</a> </li>
<li><a href="list.html?mode=dist">Sortable list</a> </li>
<!--
<li><a href="slider.html?mode=dist">Slider</a></li>
-->
<li><a href="multihandle.html?mode=dist">Multiple handles</a></li>
<li><a href="targetable.html?mode=dist">Targetable affordance</a></li>
<li><a href="grid.html?mode=dist">Grid</a></li>
<li><a href="resize.html?mode=dist">Resize pane</a></li>
<li><a href="circle.html?mode=dist">Custom click validator</a></li>

</ul>
</div> 



<script type="text/javascript">
//<![CDATA[
    YAHOO.example.logApp = function() {
        return {
            init: function() {
                if (YAHOO.widget.Logger) {
                    var reader = new YAHOO.widget.LogReader( "logDiv", 
                            { newestOnTop: true, height: "400px" } );

                    reader._onClickPauseBtn(null, reader);

                }
            }
        };
    } (); 

    YAHOO.util.Event.on(window, "load", YAHOO.example.logApp.init);
//]]>
</script>

</h4>
<div id="logDiv"></div>
</div>


</div>

  <div id="content">
    <form name="dragDropForm" action="javscript:;">
      <h3>Resize</h3>
     
<strong>The logger is paused for performance reasons.  Click "Resume" to re-enable it.</strong>
    <div id="panelDiv">&nbsp;
        <div id="handleDiv"></div>
    </div>     
      
      <p>&nbsp;</p>



    </form>
  </div>
    

<style type="text/css">
    #panelDiv {
        position:relative; 
        height: 300px; 
        width: 150px;
        top:80px; 
        left:105px; 
        border:1px solid #333333;
        background-color: #f7f7f7;
    }

    #handleDiv {
        position: absolute; 
        bottom:0px; 
        right: 0px; 
        width:10px; 
        height:10px;
        background-color:blue;
        font-size: 1px;
    }

    #theimage {
        position:absolute;top:10px;left:10px;
    }
</style>
<!--
<table>
  <tr>
    <td>
      <img id='theimage' src='img/lthumb.png' />
    </td>
  </tr>
</table>
-->

<!--
 <div id="theimage" style="position:absolute;top:50px;height:10px;width:10px;background-color:red">asdf</div>
 -->
</body>
</html>
